Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3
Class LocalRegionFactoryProxy

    java.lang.Object
      org.springframework.orm.hibernate3.LocalRegionFactoryProxy

All Implemented Interfaces:
  org.hibernate.cache.RegionFactory

    public class LocalRegionFactoryProxy

extends java.lang.Object
implements org.hibernate.cache.RegionFactory

Proxy for a Hibernate RegionFactory, delegating to a Spring-managed RegionFactory instance, determined by LocalSessionFactoryBean's "cacheRegionFactory" property.

Compatible with Hibernate 3.3 as well as Hibernate 3.5's version of the RegionFactory SPI.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setCacheRegionFactory(java.lang.Object)`

Constructor Summary
`LocalRegionFactoryProxy()` Standard constructor.
`LocalRegionFactoryProxy(java.util.Properties properties)` Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

Method Summary
`org.hibernate.cache.CollectionRegion` | `buildCollectionRegion(java.lang.String regionName, java.util.Properties properties, org.hibernate.cache.CacheDataDescription metadata)`
`org.hibernate.cache.EntityRegion` | `buildEntityRegion(java.lang.String regionName, java.util.Properties properties, org.hibernate.cache.CacheDataDescription metadata)`
`org.hibernate.cache.QueryResultsRegion` | `buildQueryResultsRegion(java.lang.String regionName, java.util.Properties properties)`
`org.hibernate.cache.TimestampsRegion` | `buildTimestampsRegion(java.lang.String regionName, java.util.Properties properties)`
`org.hibernate.cache.access.AccessType` | `getDefaultAccessType()`
`boolean` | `isMinimalPutsEnabledByDefault()`
`long` | `nextTimestamp()`
`void` | `start(org.hibernate.cfg.Settings settings, java.util.Properties properties)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy()

  Standard constructor.

### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy(java.util.Properties properties)

  Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

Method Detail

### start

    public void start(org.hibernate.cfg.Settings settings,
                      java.util.Properties properties)
               throws org.hibernate.cache.CacheException

  Specified by:
    `start` in interface `org.hibernate.cache.RegionFactory`
  Throws:
    `org.hibernate.cache.CacheException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hibernate.cache.RegionFactory`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `org.hibernate.cache.RegionFactory`

### getDefaultAccessType

    public org.hibernate.cache.access.AccessType getDefaultAccessType()

### nextTimestamp

    public long nextTimestamp()

  Specified by:
    `nextTimestamp` in interface `org.hibernate.cache.RegionFactory`

### buildEntityRegion

    public org.hibernate.cache.EntityRegion buildEntityRegion(java.lang.String regionName,
                                                              java.util.Properties properties,
                                                              org.hibernate.cache.CacheDataDescription metadata)
                                                       throws org.hibernate.cache.CacheException

  Specified by:
    `buildEntityRegion` in interface `org.hibernate.cache.RegionFactory`
  Throws:
    `org.hibernate.cache.CacheException`

### buildCollectionRegion

    public org.hibernate.cache.CollectionRegion buildCollectionRegion(java.lang.String regionName,
                                                                      java.util.Properties properties,
                                                                      org.hibernate.cache.CacheDataDescription metadata)
                                                               throws org.hibernate.cache.CacheException

  Specified by:
    `buildCollectionRegion` in interface `org.hibernate.cache.RegionFactory`
  Throws:
    `org.hibernate.cache.CacheException`

### buildQueryResultsRegion

    public org.hibernate.cache.QueryResultsRegion buildQueryResultsRegion(java.lang.String regionName,
                                                                          java.util.Properties properties)
                                                                   throws org.hibernate.cache.CacheException

  Specified by:
    `buildQueryResultsRegion` in interface `org.hibernate.cache.RegionFactory`
  Throws:
    `org.hibernate.cache.CacheException`

### buildTimestampsRegion

    public org.hibernate.cache.TimestampsRegion buildTimestampsRegion(java.lang.String regionName,
                                                                      java.util.Properties properties)
                                                               throws org.hibernate.cache.CacheException

  Specified by:
    `buildTimestampsRegion` in interface `org.hibernate.cache.RegionFactory`
  Throws:
    `org.hibernate.cache.CacheException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD